Subject: bug#15789: 24.3.50; backtrace produces unreadable output

From: [email-masked]
Date: Tue, 21 Feb 2017 23:44:42 -0500

forcemerge 6991 15789
quit

Lars Ingebrigtsen <[email-masked]> writes:

> Jarek Czekalski <[email-masked]> writes:
>
>> This is the code I use to produce an example backtrace:
>>
>> (defadvice tmm-add-prompt (before emacspeak pre act comp)
>>   "Speaks the list of completions we have available."
>>   (backtrace))
>>
>> Then launch M-x tmm-menubar to have it output the backtrace.
>
> I can't reproduce this on the trunk -- I don't even get a backtrace.
> Has defadvice stopped working?

You maybe didn't realize that the backtrace is silently printed to
*Messages*.